=== debian/changelog ===
elogind (241.1-1) unstable; urgency=medium

  * New upstream version v241.1.
  * libelogind0 is ABI compatible with libsystemd0 so conflict, replace and
    provide libsystemd0 (=${source:Upstream-Version}), and also install
    libsystemd.so symlinks (Closes: #923244).
  * Change AppStream metadata license to LGPL-2.1+ to match other files in
    debian/.
  * Move libelogind-dev-doc to Section: doc.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 11 Mar 2019 18:08:28 +0000

elogind (239.3+20190131-1) unstable; urgency=medium

  * New snapshot of upstream/v239-stable.
  * Remove local patches now fixed upstream.
  * Use new SIGINT handler for graceful restarts in initscript.
  * Specify devuan branch in Vcs-* fields.
  * Update to Standards version 4.3.0 (no changes).
  * libelogind-dev-doc conflicts with libsystemd-dev as they share manpages.
  * Set AppStream component id to begin with a reverse domain name.
  * Add Breaks and Replaces libelogind-dev (<< 239.1+20181115-1) to
    libelogind-dev-doc (Closes: #916768).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 31 Jan 2019 18:57:50 +0000

elogind (239.3-3) unstable; urgency=medium

  * Preserve session and seat data when restarting (Closes: #916247).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 14 Dec 2018 00:48:03 +0000

elogind (239.3-2) UNRELEASED; urgency=medium

  * Fix stale pidfile handling (Closes: #916212).
  * Add separate reload option to initscript.
  * Correct typo in Vcs-Git url.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 13 Dec 2018 11:26:15 +0000

elogind (239.3-1) unstable; urgency=medium

  * New upstream release.
  * Delete Dbus_lib_machine-id patch, now included upstream.
  * Delete manpage-branding.diff, now incorporated upstream.
  * Use CC0-1.0 for AppStream metadata license.
  * Correct typos in debian/rules comments.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 07 Dec 2018 10:31:31 +0000

elogind (239.2-1) unstable; urgency=medium

  * New upstream version 239.2.
  * Enable compile-time testsuite which depends on dbus.
  * Include busctl manpage.
  * Support /var/lib/dbus/machine-id as alternative to /etc/machine-id.
  * Enable SELinux support.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 23 Nov 2018 11:04:04 +0000
