=== debian/control ===
Source: elogind
Section: admin
Priority: optional
Maintainer: Andreas Messer <andi@bastelmap.de>
Uploaders: Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.3.0
Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git -b devuan
Vcs-Browser: https://git.devuan.org/devuan-packages/elogind/tree/devuan
Homepage: https://github.com/elogind/elogind
Build-Depends: debhelper (>= 11),
               dh-exec (>=0.3),
               dpkg-dev (>= 1.16.0),
               pkg-config,
               docbook-xsl,
               meson,
               gperf,
               gtk-doc-tools,
               python3-lxml,
               libcap-dev,
               libudev-dev,
               libmount-dev (>= 2.20),
               libseccomp-dev (>= 1.0),
               libblkid-dev (>= 2.24),
               libpam0g-dev (>= 1.1.2),
               libacl1-dev,
               libselinux1-dev,
               libglib2.0-dev,
               dbus (>= 1.9.14)

Package: elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1,
         libelogind0 (= ${binary:Version}),
         lsb-base (>= 3.1),
         dbus (>= 1.9.14)
Recommends: policykit-1
Provides: logind
Conflicts: systemd
Description: user, seat and session management daemon
 elogind is a session management daemon extracted from systemd project's
 "logind"

Package: libelogind0
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: libsystemd0 (= ${source:Upstream-Version})
Replaces: libsystemd0
Conflicts: libsystemd0
Description: user, seat and session management library
 This library provides runtime access to elogind session management.
 .
 The library is ABI compatible with libsystemd0 and provides the necessary
 symlinks to allow binaries linked against libsystemd0 to work with
 libelogind0.
 .
 The sd-login(3), sd-bus(3) and sd-id128(3) APIs are implemented in full,
 sd-journal(3) is only implemented by redirecting sd_journal_print* and
 sd_journal_send* calls to syslog(3) with other functions returning -ENOSYS and
 sd-hwdb(3) contains stubs returning -ENOSYS.

Package: libelogind-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libelogind0 (= ${binary:Version})
Suggests: libelogind-dev-doc
Description: user, seat and session management library (development files)
 This package contains the files needed for developing applications that 
 use libelogind

Package: libelogind-dev-doc
Section: doc
Priority: optional
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libelogind-dev (= ${binary:Version})
Replaces: libelogind-dev (<< 239.1+20181115-1)
Breaks: libelogind-dev (<< 239.1+20181115-1)
Conflicts: libsystemd-dev
Description: user, seat and session management library (development documentation files)
 This package contains the documentation related to developing applications that
 use libelogind

Package: libpam-elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         elogind (= ${binary:Version}),
         libpam-runtime
Conflicts: libpam-ck-connector
Breaks: libpam-systemd
Provides: libpam-systemd
Replaces: libpam-systemd
Description: elogind PAM module 
 Plugable Authentication Module to register a session with elogind
