=== debian/changelog ===
elogind (241.3-3) unstable; urgency=medium

  * Increase build tests timeout to 90 to accommodate armel and armhf.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 05 Dec 2019 17:45:27 +0000

elogind (241.3-2) unstable; urgency=medium

  * New transitional package libsystemd0 which depends on libelogind0.
  * Add details of sd-daemon(3) implementation to libelogind0 package
    description.
  * elogind Recommends libpam-elogind.
  * Update to standards version 4.4.1 (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 07 Oct 2019 22:55:44 +0100

elogind (241.3-1) unstable; urgency=medium

  [ Mark Hindley ]
  * New upstream release v241.3.
  * Upgrade to Standards Version 4.4.0:
    - libpam-elogind provides new virtual packages logind and default-logind.
  * Correctly license AppStream metadata as CC0-1.0 in d/copyright.

  [ Andreas Messer ]
  * Retire from maintenance of this package.

  [ Andreas Beckmann ]
  * Simplify libsystemd.so compatibility symlink setup. (Closes: #926591)

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 14 Jul 2019 11:16:52 +0100
