=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Andreas Messer <andi@bastelmap.de>
-Uploaders: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.3.0
+Maintainer: Mark Hindley <mark@hindley.org.uk>
+Standards-Version: 4.4.1
 Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git -b devuan
 Vcs-Browser: https://git.devuan.org/devuan-packages/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
@@ -39,8 +38,7 @@
          libelogind0 (= ${binary:Version}),
          lsb-base (>= 3.1),
          dbus (>= 1.9.14)
-Recommends: policykit-1
-Provides: logind
+Recommends: libpam-elogind, policykit-1
 Conflicts: systemd
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
@@ -56,7 +54,7 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Conflicts: libsystemd0
+Breaks: libsystemd0 (<< ${binary:Version}), libsystemd0 (>> ${binary:Version})
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
@@ -65,9 +63,11 @@
  libelogind0.
  .
  The sd-login(3), sd-bus(3) and sd-id128(3) APIs are implemented in full,
- sd-journal(3) is only implemented by redirecting sd_journal_print* and
- sd_journal_send* calls to syslog(3) with other functions returning -ENOSYS and
- sd-hwdb(3) contains stubs returning -ENOSYS.
+ sd-daemon(3) is also implemented in full, although sd_is_mq() always returns 0
+ as POSIX message queues are unsupported, sd-journal(3) is only implemented by
+ redirecting sd_journal_print* and sd_journal_send* calls to syslog(3) with
+ other functions returning -ENOSYS and sd-hwdb(3) contains stubs returning
+ -ENOSYS.
 
 Package: libelogind-dev
 Section: libdevel
@@ -111,8 +111,20 @@
          libpam-runtime
 Conflicts: libpam-ck-connector
 Breaks: libpam-systemd
-Provides: libpam-systemd
+Provides: libpam-systemd, logind, default-logind
 Replaces: libpam-systemd
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
 
+Package: libsystemd0
+Section: oldlibs
+Priority: optional
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         libelogind0
+Description: Transitional package for libelogind0
+ This is a dependency package to smooth the migration from libsystemd0 to
+ libelogind0.
+ .
+ It can be safely removed.
