## elogind 241.4

=== debian/changelog ===
elogind (241.4-2) unstable; urgency=medium

   * Remove transitional libsystemd0 package.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 01 Jan 2020 15:03:47 +0000

elogind (241.4-1) unstable; urgency=medium

   * Merge new upstream v241.4.
   * Move libsystemd ABI compatibility details to README.Debian.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 27 Dec 2019 13:15:24 +0000

elogind (241.3-4) unstable; urgency=medium

  * Revert Increase build tests timeout to 90 to accommodate armel and armhf.
  * Try to detect broken khash support better. When crossbuilding, qemu doesn't
    support setsockopt() SOL_ALG. Skip tests if this fails.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 23 Dec 2019 17:22:22 +0000
