=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                pkg-config,
                docbook-xsl,
                meson,
-               gperf,
+               gperf (>= 3.1),
                gtk-doc-tools,
                python3-lxml,
                libcap-dev,
                libudev-dev,
-               libmount-dev (>= 2.20),
-               libseccomp-dev (>= 1.0),
+               libmount-dev (>= 2.27.1),
+               libseccomp-dev (>= 2.3.1),
                libblkid-dev (>= 2.24),
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
@@ -54,20 +54,13 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Breaks: libsystemd0 (<< ${binary:Version}), libsystemd0 (>> ${binary:Version})
+Conflicts: libsystemd0
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
  The library is ABI compatible with libsystemd0 and provides the necessary
  symlinks to allow binaries linked against libsystemd0 to work with
- libelogind0.
- .
- The sd-login(3), sd-bus(3) and sd-id128(3) APIs are implemented in full,
- sd-daemon(3) is also implemented in full, although sd_is_mq() always returns 0
- as POSIX message queues are unsupported, sd-journal(3) is only implemented by
- redirecting sd_journal_print* and sd_journal_send* calls to syslog(3) with
- other functions returning -ENOSYS and sd-hwdb(3) contains stubs returning
- -ENOSYS.
+ libelogind0. For full details of the compatibility see README.Debian.
 
 Package: libelogind-dev
 Section: libdevel
@@ -116,15 +109,3 @@
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
 
-Package: libsystemd0
-Section: oldlibs
-Priority: optional
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         libelogind0
-Description: Transitional package for libelogind0
- This is a dependency package to smooth the migration from libsystemd0 to
- libelogind0.
- .
- It can be safely removed.
