## elogind 241.4+antix1

=== debian/changelog ===
elogind (241.4+antix1) unstable; urgency=medium

  * latest upstream

 -- anticapitalista <antix@operamail.com>  Fri, 27 Dec 2019 20:56:15 +0200

elogind (241.3-2+antix1) unstable; urgency=medium

  * New transitional package libsystemd0 which depends on libelogind0.
  * Add details of sd-daemon(3) implementation to libelogind0 package
    description.
  * elogind Recommends libpam-elogind.
  * Update to standards version 4.4.1 (no changes).

 -- anticapitalista <antix@operamail.com>  Fri, 25 Oct 2019 17:25:30 +0300

elogind (241.1-1+debian1) unstable; urgency=medium

  * New upstream version v241.1.
  * libelogind0 is ABI compatible with libsystemd0 so conflict, replace and
    provide libsystemd0 (=${source:Upstream-Version}), and also install
    libsystemd.so symlinks (Closes: #923244).
  * libelogind0 conflicts systemd to prevent co-installation.
  * Change AppStream metadata license to LGPL-2.1+ to match other files in
    debian/.
  * Move libelogind-dev-doc to Section: doc.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 13 Mar 2019 06:01:06 +0000
