=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Conflicts: libsystemd0
+Conflicts: libsystemd0, systemd
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
@@ -102,10 +102,21 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Conflicts: libpam-ck-connector
-Breaks: libpam-systemd
-Provides: libpam-systemd, logind, default-logind
-Replaces: libpam-systemd
+Provides: logind (= ${binary:Version})
+Conflicts: logind, libpam-ck-connector
+Replaces: logind
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
 
+Package: libsystemd0
+Section: oldlibs
+Priority: optional
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         libelogind0
+Description: Transitional package for libelogind0
+ This is a dependency package to smooth the migration from libsystemd0 to
+ libelogind0.
+ .
+ It can be safely removed.
