## elogind 243.7

=== meson_options.txt ===
--- 
+++ 
@@ -11,17 +11,15 @@
 option('rootlibdir', type : 'string',
        description : '''[/usr]/lib/x86_64-linux-gnu or such''')
 option('rootprefix', type : 'string',
-       description : '''override the root prefix''')
+       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
 #if 0 /// UNNEEDED by elogind
 # option('link-udev-shared', type : 'boolean',
 #        description : 'link systemd-udev and its helpers to libsystemd-shared.so')
 # option('link-systemctl-shared', type: 'boolean',
 #        description : 'link systemctl against libsystemd-shared.so')
-#endif // 0
-option('static-libelogind', type : 'combo',
-       choices : ['false', 'true', 'pic', 'no-pic'],
-       description : '''install a static library for libelogind''')
-#if 0 /// UNNEEDED by elogind
+# option('static-libsystemd', type : 'combo',
+#        choices : ['false', 'true', 'pic', 'no-pic'],
+#        description : '''install a static library for libsystemd''')
 # option('static-libudev', type : 'combo',
 #        choices : ['false', 'true', 'pic', 'no-pic'],
 #        description : '''install a static library for libudev''')
@@ -34,13 +32,14 @@
 #        description : 'path to telinit')
 # option('rc-local', type : 'string',
 #        value : '/etc/rc.local')
-# option('halt-local', type : 'string',
-#        value : '/usr/sbin/halt.local')
 #
 # option('quotaon-path', type : 'string', description : 'path to quotaon')
 # option('quotacheck-path', type : 'string', description : 'path to quotacheck')
 # option('kmod-path', type : 'string', description : 'path to kmod')
-#else
+#else // 0
+option('static-libelogind', type : 'combo',
+       choices : ['false', 'true', 'pic', 'no-pic'],
+       description : '''install a static library for libelogind''')
 # elogind must have a configurable rootlibexecdir
 option('rootlibexecdir', type : 'string',
        description : '''override the root libexec directory path''')
@@ -69,14 +68,17 @@
 # option('umount-path', type : 'string', description : 'path to umount')
 # option('loadkeys-path', type : 'string', description : 'path to loadkeys')
 # option('setfont-path', type : 'string', description : 'path to setfont')
-#
+#endif // 0
+option('nologin-path', type : 'string', description : 'path to nologin')
+
+#if 0 /// UNNEEDED by elogind
 # option('debug-shell', type : 'string', value : '/bin/sh',
 #        description : 'path to debug shell binary')
 # option('debug-tty', type : 'string', value : '/dev/tty9',
 #        description : 'specify the tty device for debug shell')
-# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash', 'udev'], value : [],
+# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
 #        description : 'enable extra debugging')
-#else
+#else // 0
 option('debug-extra', type : 'array', choices : ['elogind', 'hashmap', 'mmap-cache', 'siphash'], value : [],
        description : 'enable extra debugging')
 #endif // 0
@@ -112,6 +114,8 @@
 #        description : 'support for custom binary formats')
 # option('coredump', type : 'boolean',
 #        description : 'install the coredump handler')
+# option('pstore', type : 'boolean',
+#        description : 'install the pstore archival tool')
 # option('logind', type : 'boolean',
 #        description : 'install the systemd-logind stack')
 # option('hostnamed', type : 'boolean',
@@ -130,6 +134,8 @@
 #        description : 'install the systemd-timesyncd daemon')
 # option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
 #        description : 'support for "journal over the network"')
+# option('create-log-dirs', type : 'boolean',
+#        description : 'create /var/log/journal{,/remote}')
 # option('nss-myhostname', type : 'boolean',
 #        description : 'install nss-myhostname module')
 # option('nss-mymachines', type : 'combo', choices : ['auto', 'true', 'false'],
@@ -158,8 +164,12 @@
 #        description : 'support for the hardware database')
 # option('rfkill', type : 'boolean',
 #        description : 'support for the rfkill tools')
+#else // 0
+option('efi', type : 'boolean',
+       description : 'enable EFI support')
 #endif // 0
 option('man', type : 'combo', choices : ['auto', 'true', 'false'],
+       value : 'false',
        description : 'build and install man pages')
 option('html', type : 'combo', choices : ['auto', 'true', 'false'],
        value : 'false',
@@ -176,9 +186,9 @@
 option('dbussystemservicedir', type : 'string',
        description : 'D-Bus system service directory')
 option('pkgconfigdatadir', type : 'string', value : '',
-       description : 'directory for ')
+       description : 'directory for arch-independent pkg-config files')
 option('pkgconfiglibdir', type : 'string', value : '',
-       description : 'directory for ')
+       description : 'directory for standard pkg-config files')
 #if 0 /// UNNEEDED by elogind
 # option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
 #        description : 'directory for rpm macros ["no" disables]')
@@ -197,10 +207,10 @@
 #        description : 'allow "gateway" as the symbolic name for default gateway')
 #endif // 0
 option('default-hierarchy', type : 'combo',
-       choices : ['legacy', 'hybrid', 'unified'], value : 'hybrid',
+       choices : ['legacy', 'hybrid', 'unified'], value : 'unified',
 #if 0 /// elogind interprets this a bit different
 #        description : 'default cgroup hierarchy')
-#else
+#else // 0
        description : '''Wanted cgroup hierarchy if elogind has to be a cgroup controller:
                 "legacy"  assumes tmpfs mounted on /sys/fs/cgroup and cgroup on its
                                   subfolders.
@@ -210,10 +220,13 @@
 option('cgroup-controller', type : 'string',
        description : 'Name of the cgroup controller to use')
 #endif // 0
-#if 0 /// UNNEEDED by elogind
-# option('default-net-naming-scheme', type : 'combo',
-#        choices : ['latest', 'v238', 'v239', 'v240'],
-#        description : 'default net.naming-scheme= value')
+option('default-net-naming-scheme', type : 'combo',
+       choices : ['latest', 'v238', 'v239', 'v240'],
+       description : 'default net.naming-scheme= value')
+option('status-unit-format-default', type : 'combo',
+       choices : ['description', 'name'],
+       description : 'use unit name or description in messages by default')
+#if 0 /// UNNEEDED by elogind
 # option('time-epoch', type : 'integer', value : '-1',
 #        description : 'time epoch for time clients')
 #endif // 0
@@ -224,18 +237,3 @@
 #if 0 /// UNNEEDED by elogind
 # option('dynamic-uid-min', type : 'integer', value : 0x0000EF00,
 #        description : 'minimum dynamic UID')
-# option('dynamic-uid-max', type : 'integer', value : 0x0000FFEF,
-#        description : 'maximum dynamic UID')
-# option('container-uid-base-min', type : 'integer', value : 0x00080000,
-#        description : 'minimum container UID base')
-# option('container-uid-base-max', type : 'integer', value : 0x6FFF0000,
-#        description : 'maximum container UID base')
-#endif // 0
-option('tty-gid', type : 'integer', value : 5,
-       description : 'the numeric GID of the "tty" group')
-#if 0 /// UNNEEDED by elogind
-# option('users-gid', type : 'integer', value : '-1',
-#        description : 'the numeric GID of the "users" group')
-# option('adm-group', type : 'boolean',
-#        description : 'the ACL for adm group should be added')
-# option('wheel-group', type : 'boolean',
