=== debian/changelog ===
elogind (243.7-1.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Fri, 20 Mar 2020 14:36:17 +0200

elogind (243.7-1) unstable; urgency=medium

  * New upstream version 243.7.
  * Explicitly enable manpages in build (disabled upstream).
  * Remove NEWS file from packaging (removed upstream).
  * Update to Standards version 4.5.0 (no changes).
  * Remove skip_id128_tests_unsupported.patch: included upstream.
  * Default to false for RemoveIPC (Closes: #949698).
  * d/control: add Origin: Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 16 Mar 2020 18:44:05 +0000
