=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git -b devuan
 Vcs-Browser: https://git.devuan.org/devuan-packages/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
+Origin: Devuan
 Build-Depends: debhelper (>= 11),
                dh-exec (>=0.3),
                dpkg-dev (>= 1.16.0),
@@ -54,7 +55,7 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Conflicts: libsystemd0, systemd
+Conflicts: libsystemd0
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
@@ -102,21 +103,10 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Provides: logind (= ${binary:Version})
-Conflicts: logind, libpam-ck-connector
-Replaces: logind
+Conflicts: libpam-ck-connector, libpam-elogind-compat
+Breaks: libpam-systemd, libpam-elogind-compat
+Provides: libpam-systemd, logind, default-logind
+Replaces: libpam-systemd, libpam-elogind-compat
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
 
-Package: libsystemd0
-Section: oldlibs
-Priority: optional
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         libelogind0
-Description: Transitional package for libelogind0
- This is a dependency package to smooth the migration from libsystemd0 to
- libelogind0.
- .
- It can be safely removed.
