## elogind 243.8

=== debian/changelog ===
elogind (243.8-1) unstable; urgency=medium

  * New upstream version 243.8.
  * d/control: update Vcs-* fields following Gitea migration.
  * Change rootlibdir to /lib (closes: #482).
  * Document solutions for libelogind0/libsystemd-dev build-depends
    conflict. (closes: #435).

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 20 Jun 2020 10:59:46 +0100

elogind (243.7-2) unstable; urgency=medium

  * Include 70-power-switch.rules (closes: #423).
  * Add breaks/replaces for Debian's udev which also ships the same file.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 28 Apr 2020 11:22:51 +0100
